GoniometerDBHelper

com.uva.rafael.tfg_goniometer.data

## Class GoniometerDBHelper

- java.lang.Object
- - android.database.sqlite.SQLiteOpenHelper
  - - com.uva.rafael.tfg_goniometer.data.GoniometerDBHelper

-     public class GoniometerDBHelper
      extends android.database.sqlite.SQLiteOpenHelper

  Esta clase es una clase auxiliar que se encarga de la creacion de la Base de Datos y la gestion de la version de la misma.

  En concreto, se encarga de crear (y actualizar cuando hay un cambio de version) toda la estructura de la Base de Datos, rellenar las tablas correspondientes a las clases de tipo `Enum`, y proporcionar un metodo para hacer inserciones en la misma desde el Modelo de la aplicacion (`MainModel`).

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `SQLiteOpenHelper`, `SQLiteDatabase`, `Contract`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoniometerDBHelper(android.content.Context context)` Constructor principal de la clase

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `mock(java.lang.String tableName, android.content.ContentValues values)` Metodo que se emplea para insertar un objeto de tipo `ContentValues` en una tabla en concreto de la Base de Datos (cuyo nombre se recibe como parametro, tambien).
    `void` | `onCreate(android.database.sqlite.SQLiteDatabase sqLiteDatabase)` Called when the database is created for the first time.
    `void` | `onUpgrade(android.database.sqlite.SQLiteDatabase sqLiteDatabase, int oldVersion, int newVersion)` Called when the database needs to be upgraded.

    - ### Methods inherited from class android.database.sqlite.SQLiteOpenHelper

      `close, getDatabaseName, getReadableDatabase, getWritableDatabase, onConfigure, onDowngrade, onOpen, setWriteAheadLoggingEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoniometerDBHelper

          public GoniometerDBHelper(android.content.Context context)

      Constructor principal de la clase
      Parameters:
        `context` - Contexto de accion para el helper

  - ### Method Detail

    - #### onCreate

          public void onCreate(android.database.sqlite.SQLiteDatabase sqLiteDatabase)

      Called when the database is created for the first time. This is where the creation of tables and the initial population of the tables happen.
      Specified by:
        `onCreate` in class `android.database.sqlite.SQLiteOpenHelper`
      Parameters:
        `sqLiteDatabase` - The database

    - #### onUpgrade

          public void onUpgrade(android.database.sqlite.SQLiteDatabase sqLiteDatabase,
                                int oldVersion,
                                int newVersion)

      Called when the database needs to be upgraded. The implementation use this method to drop tables, add tables, or do anything else it needs to upgrade to the new schema version.
      Specified by:
        `onUpgrade` in class `android.database.sqlite.SQLiteOpenHelper`
      Parameters:
        `sqLiteDatabase` - The database
        `oldVersion` - The old database version
        `newVersion` - The new database version

    - #### mock

          public long mock(java.lang.String tableName,
                           android.content.ContentValues values)

      Metodo que se emplea para insertar un objeto de tipo `ContentValues` en una tabla en concreto de la Base de Datos (cuyo nombre se recibe como parametro, tambien).
      Parameters:
        `tableName` - Nombre de la tabla donde realizar la insercion
        `values` - Fila a insertar dentro de la tabla
      Returns:
        long ID de la fila que se acaba de insertar, -1 en caso de error